OpenSCAD ResizeMeshFeature/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/it |Scala la mesh |Incrementa la tolleranza |OpenSCAD |IconL=OpenSCAD ScaleM...")
(Updating to match new version of source page)
 
(8 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

<div class="mw-translate-fuzzy">
{{Docnav/it
{{Docnav/it
|[[OpenSCAD_ScaleMeshFeature/it|Scala la mesh]]
|[[OpenSCAD_ScaleMeshFeature/it|Scala la mesh]]
|[[OpenSCAD_IncreaseTolerance/it|Incrementa la tolleranza]]
|[[OpenSCAD_IncreaseTolerance/it|Incrementa la tolleranza]]
|[[OpenSCAD_Module/it|OpenSCAD]]
|[[OpenSCAD_Workbench/it|OpenSCAD]]
|IconL=OpenSCAD ScaleMesh.svg
|IconL=OpenSCAD ScaleMesh.svg
|IconC=Workbench_OpenSCAD.svg
|IconC=Workbench_OpenSCAD.svg
|IconR=OpenSCAD_IncreaseToleranceFeature.svg
|IconR=OpenSCAD_IncreaseToleranceFeature.svg
}}
}}
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand
{{GuiCommand/it
|Name=OpenSCAD ResizeMeshFeature
|Name=OpenSCAD_ResizeMeshFeature
|Name/it=Ridimensiona le mesh
|Empty=1
|Empty=1
|MenuLocation=OpenSCAD → Resize Mesh Feature
|MenuLocation=OpenSCAD → Ridimensiona le mesh
|Workbenches=[[OpenSCAD_Module|OpenSCAD]]
|Workbenches=[[OpenSCAD_Workbench/it|OpenSCAD]]
}}
}}
</div>


==Description==
==Description==


Creates a new resized mesh object with independent sizing for each axis.
Creates a new resized mesh object with independent sizing for each axis.



==Usage==
==Usage==


# Select the mesh object to be resized.
# Select the mesh object to be resized.
# Click the {{KEY|OpenSCAD → Scale Resize Feature...}} menu.
# Click the {{KEY| OpenSCAD}} {{KEY|[[Image:OpenSCAD_ResizeMeshFeature.svg|24px]] Scale Resize Feature...}} menu.
# Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
# Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
* A new mesh object is created and resized, the original object is rendered hidden.
* A new mesh object is created and resized, the original object is rendered hidden.
Line 35: Line 40:


* The function does not modify the existing mesh, but returns a new mesh.
* The function does not modify the existing mesh, but returns a new mesh.
* The function can be accessed via python:
* The function can be accessed via Python:

{{Code|code=
{{Code|code=
import OpenSCADUtils
import OpenSCADUtils
Line 47: Line 53:




<div class="mw-translate-fuzzy">

{{Docnav/it

|[[OpenSCAD_ScaleMeshFeature/it|Scala la mesh]]
{{Docnav
|[[OpenSCAD_IncreaseTolerance/it|Incrementa la tolleranza]]
|[[OpenSCAD_ScaleMeshFeature|Scale Mesh Feature]]
|[[OpenSCAD_Workbench/it|OpenSCAD]]
|[[OpenSCAD_IncreaseTolerance|Increase Tolerance Feature]]
|[[OpenSCAD_Module|OpenSCAD]]
|IconL=OpenSCAD ScaleMesh.svg
|IconL=OpenSCAD ScaleMesh.svg
|IconC=Workbench_OpenSCAD.svg
|IconC=Workbench_OpenSCAD.svg
|IconR=OpenSCAD_IncreaseToleranceFeature.svg
|IconR=OpenSCAD_IncreaseToleranceFeature.svg
}}
}}
</div>


{{OpenSCAD_Tools_navi{{#translation:}}}}
{{OpenSCAD_Tools_navi{{#translation:}}}}

Latest revision as of 18:33, 26 December 2022

Other languages:

Ridimensiona le mesh

Posizione nel menu
OpenSCAD → Ridimensiona le mesh
Ambiente
OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Description

Creates a new resized mesh object with independent sizing for each axis.

Usage

  1. Select the mesh object to be resized.
  2. Click the OpenSCAD Scale Resize Feature... menu.
  3. Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
  • A new mesh object is created and resized, the original object is rendered hidden.

Limitations

  • The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new mirrored object.

Notes

  • The function does not modify the existing mesh, but returns a new mesh.
  • The function can be accessed via Python:
import OpenSCADUtils
import Mesh
#this assumes an existing object in the document named "Mesh" that you wish to mirror
original_mesh = App.ActiveDocument.Mesh
resized_mesh = OpenSCADUtils.resizemesh(original_mesh.Mesh, FreeCAD.Base.Vector(100,50,40))
#New mesh would be 100 mm on the x axis, 50 mm on the y axis, and 40 mm on the z axis.
Mesh.show(resized_mesh)